pdMatrix {nlme} | R Documentation

## Extract Matrix or Square-Root Factor from a pdMat Object

### Description

The positive-definite matrix represented by `object`, or a square-root factor of it is obtained. Letting S denote a positive-definite matrix, a square-root factor of S is any square matrix L such that S = L'L. This function extracts S or L.

### Usage

    pdMatrix(object, factor)

### Arguments

`object` | an object inheriting from class `pdMat`, representing a positive definite matrix.
`factor` | an optional logical value. If `TRUE`, a square-root factor of the positive-definite matrix represented by `object` is returned; else, if `FALSE`, the positive-definite matrix is returned. Defaults to `FALSE`.

### Value

if `fact` is `FALSE` the positive-definite matrix represented by `object` is returned; else a square-root of the positive-definite matrix is returned.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`as.matrix.pdMat`, `pdFactor`, `corMatrix`

### Examples

    pd1 <- pdSymm(diag(1:4))
    pdMatrix(pd1)

[Package Contents]